post
https://rcs-api.na.kaleyra.io/v1//rcs/lookup/bulk
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The Bulk Device Lookup API allows you to look up the RCS capability of multiple mobile devices in a single request.
Note:Numbers are validated for E.164 format, deduplicated, and only valid unique numbers are sent in the request.
E.164 Validation and Normalization
The following points must be considered for E.164 validation and normalization:
- Numbers without a
+prefix are automatically normalized. For example. The number gets normalized from917XXXXX2804to+917XXXXX2804automatically. - Numbers must have 7–15 digits after the + prefix, with the first digit being in the range of 1 to 9.
- Empty strings, whitespace-only strings, and numbers not matching E.164 are filtered as invalid.
- Duplicate numbers get removed after validation.
- Only valid and unique numbers are sent in the request.
Limitations
The following are the limitations for the bulk device lookup:
- After E.164 validation and deduplication, there must be at least 100 unique valid numbers. For lesser numbers, use the single lookup endpoint.
- The current threshold for bulk device lookup ranges from 100 to 500 devices.
Prerequisites
- After you sign up, your account will be on the trial version. You must complete the KYC to access all the features in kaleyra.io.
- Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
- To send any RCS messages, you must configure the RCS channel in the Kaleyra platform. To configure the RCS channel in your account, please contact your local Kaleyra representative.

